package com.jianxun.gaudi.common;

import java.io.Serializable;

public class ResponseResult<T> implements Serializable {

	private static final long serialVersionUID = 1L;
	private String code = "200";// 请求code
	private String msg;// 错误消息
	private T data;// 返回数据

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public void setCode(int code) {
		this.code = String.valueOf(code);
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	public T getData() {
		return data;
	}

	public void setData(T data) {
		this.data = data;
	}

	public ResponseResult() {
		super();
	}

	public ResponseResult(T data) {
		super();
		this.data = data;
	}

	public ResponseResult(String code, String msg, boolean success) {
		super();
		this.code = code;
		this.msg = msg;
	}

	public ResponseResult(String code, String msg, T data) {
		super();
		this.code = code;
		this.msg = msg;
		this.data = data;
	}

	public ResponseResult(String code, String msg, T data, boolean success) {
		super();
		this.code = code;
		this.msg = msg;
		this.data = data;
	}
}
