package com.jianxun.gaudi.common;

public class ResponseResultUtil {
	public static <T> ResponseResult<T> createSuccesResult() {
		return new ResponseResult<T>(ResultConstants.SUCCESS_CODE, "成功", null);
	}
	public static <T> ResponseResult<T> createSuccesResult(T data) {
		return new ResponseResult<T>(ResultConstants.SUCCESS_CODE, "成功", data);
	}
	
	public static <T> ResponseResult<T> createSuccesResult(String msg, T data) {
		return new ResponseResult<T>(ResultConstants.SUCCESS_CODE, msg, data);
	}

	public static <T> ResponseResult<T> createSuccesResult(String code, String msg, T data) {
		return new ResponseResult<T>(code, msg, data);
	}
	
	public static ResponseErrResult createErrorResult(String msg) {
		return new ResponseErrResult(ResultConstants.ERR_CODE, msg);
	}

	public static ResponseErrResult createCommonResult(String code, String msg) {
		return new ResponseErrResult(code, msg);
	}
}
