package com.jianxun.gaudi.common.enums;

public enum RedisKeyPrefix {
	TOKEN_CACHE("token_cache","TOKEN缓存"),
	DICTIONARY_CACHE("dictionary_cache","字典缓存"),
	KEY_OF_ASSIGN_NUMBER("NumberAssign", "起号"),
	;
	
	private String key;
	private String desc;
	
	private RedisKeyPrefix(String key, String desc) {
		this.key = key;
		this.desc = desc;
	}

	public String getKey() {
		return key;
	}

	public void setKey(String key) {
		this.key = key;
	}

	public String getDesc() {
		return desc;
	}

	public void setDesc(String desc) {
		this.desc = desc;
	}
}
