package com.jianxun.gaudi.common.exception;

import java.io.Serializable;

import com.jianxun.gaudi.common.enums.ExceptionMsg;

public class MyException extends RuntimeException implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Integer code;
	
	 public MyException() {
	    }
    public MyException(ExceptionMsg exceptionMsg) {
        super(exceptionMsg.getMsg());
        this.code = exceptionMsg.getCode();
    }

    public MyException(Integer code, String message) {
        super(message);
        this.code = code;
    }

    public MyException(ExceptionMsg exceptionMsg, String message) {
        super(exceptionMsg.getMsg() + " " + message);
        this.code = exceptionMsg.getCode();
    }

    public MyException(String message, ExceptionMsg exceptionMsg) {
        super(message+" " + exceptionMsg.getMsg());
        this.code = exceptionMsg.getCode();
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }
}
