package com.jianxun.gaudi.cp.vo;

import java.io.Serializable;
import java.util.Date;

public class CpCommentAppVO implements Serializable {

    private static final long serialVersionUID = 1L;

    private Integer id;

    /**
     * 投诉表扬id
     */
    private String commentId;

    /**
     * 项目Id
     */
    private String projectId;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 类型，1表扬 2投诉 3建议
     */
    private Integer type;

    /**
     * 主题
     */
    private String title;

    /**
     * 内容
     */
    private String content;

    /**
     * 状态 0：未回复 1已回复
     */
    private Integer status;

    /**
     * 提交时间
     */
    private Date createTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCommentId() {
        return commentId;
    }

    public void setCommentId(String commentId) {
        this.commentId = commentId;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }
}
