package com.jianxun.gaudi.qs.model;

import java.io.Serializable;
import java.util.Date;

/**
 * qs_answer
 * @author 
 */
public class QsAnswer implements Serializable {
    private Integer id;

    /**
     * 问卷ID
     */
    private String activity;

    /**
     * 问卷名称
     */
    private String name;

    /**
     * 发布者用户名
     */
    private String parterUser;

    /**
     * 答题者
     */
    private String parterJoiner;

    /**
     * 从打开问卷到填写提交所用时间
     */
    private String timeTaken;

    /**
     * 提交的时间点
     */
    private Date submitTime;

    /**
     * 该答题者是我们平台的第多少个答题者
     */
    private String joinId;

    /**
     * 总分
     */
    private String totalValue;

    /**
     * 答题者所填写的密码
     */
    private String thirdUsername;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getActivity() {
        return activity;
    }

    public void setActivity(String activity) {
        this.activity = activity;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getParterUser() {
        return parterUser;
    }

    public void setParterUser(String parterUser) {
        this.parterUser = parterUser;
    }

    public String getParterJoiner() {
        return parterJoiner;
    }

    public void setParterJoiner(String parterJoiner) {
        this.parterJoiner = parterJoiner;
    }

    public String getTimeTaken() {
        return timeTaken;
    }

    public void setTimeTaken(String timeTaken) {
        this.timeTaken = timeTaken;
    }

    public Date getSubmitTime() {
        return submitTime;
    }

    public void setSubmitTime(Date submitTime) {
        this.submitTime = submitTime;
    }

    public String getJoinId() {
        return joinId;
    }

    public void setJoinId(String joinId) {
        this.joinId = joinId;
    }

    public String getTotalValue() {
        return totalValue;
    }

    public void setTotalValue(String totalValue) {
        this.totalValue = totalValue;
    }

    public String getThirdUsername() {
        return thirdUsername;
    }

    public void setThirdUsername(String thirdUsername) {
        this.thirdUsername = thirdUsername;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", activity=").append(activity);
        sb.append(", name=").append(name);
        sb.append(", parterUser=").append(parterUser);
        sb.append(", parterJoiner=").append(parterJoiner);
        sb.append(", timeTaken=").append(timeTaken);
        sb.append(", submitTime=").append(submitTime);
        sb.append(", joinId=").append(joinId);
        sb.append(", totalValue=").append(totalValue);
        sb.append(", thirdUsername=").append(thirdUsername);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}