package com.jianxun.gaudi.utils;

import java.util.HashMap;

import com.jianxun.gaudi.common.enums.ExceptionMsg;
import com.jianxun.gaudi.common.exception.MyException;

public class GetProjectUtil {
	public static String GetProject(String phone, String url) {
		String sign=null;
		try {
			sign = SignTools.makeSign(phone);
		} catch (Exception e) {
			throw new MyException(ExceptionMsg.SIGN_CREATE_ERROR);
		}
		HashMap<String,String> map = new HashMap<>();
		map.put("sign", sign);
		map.put("phone", phone);
		
		return HttpClientUtils.doPost(url, map);
	}

}
