package com.jianxun.gaudi.utils;

import java.io.Serializable;
import java.util.List;

public class Pager<T> implements Serializable {
    private Integer pageNum;//分页起始页
    private Integer pageSize;//每页记录数
    private List<T> rows;//返回的记录集合
    private long total;//总记录条数

    public Integer getPageNum() {
        return pageNum;
    }

    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public List<T> getRows() {
        return rows;
    }
    public void setRows(List<T> rows) {
        this.rows = rows;
    }
    public long getTotal() {
        return total;
    }
    public void setTotal(long total) {
        this.total = total;
    }
}
