package com.jianxun.gaudi.utils;

import java.util.HashMap;

import com.jianxun.gaudi.common.enums.ExceptionMsg;
import com.jianxun.gaudi.common.exception.MyException;

public class PushUtil {
	public static String pushMessage(String url,String phone,String messageTitle,String messageType,String workOrderNo,String sound) {
		String sign=null;
		try {
			sign = SignTools.makeSign("1");
		} catch (Exception e) {
			throw new MyException(ExceptionMsg.SIGN_CREATE_ERROR.getCode(),ExceptionMsg.SIGN_CREATE_ERROR.getMsg());
		}
		HashMap<String,String> map = new HashMap<>();
		map.put("params", "1");
		map.put("sign", sign);
		map.put("phone", phone);
		map.put("messageTitle", messageTitle);
		map.put("messageType", messageType);
		map.put("workOrderNo", workOrderNo);
		map.put("sound", sound);
		return HttpClientUtils.doPost(url, map);
	}

}
