package com.jianxun.gaudi.cp.dao;

import com.jianxun.gaudi.common.base.MyBatisBaseDao;
import com.jianxun.gaudi.cp.model.CpCommentFile;
import com.jianxun.gaudi.cp.model.CpCommentFileExample;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * CpCommentFileDAO继承基类
 */
@Repository
public interface CpCommentFileDAO extends MyBatisBaseDao<CpCommentFile, Integer, CpCommentFileExample> {

    /**
     * 批量插入
     * @param item
     * @return
     */
    int insertBatch(List<CpCommentFile> item);
}