package com.jianxun.gaudi.qs.dao;

import com.jianxun.gaudi.common.base.MyBatisBaseDao;
import com.jianxun.gaudi.qs.model.QsAnswerExample;
import com.jianxun.gaudi.qs.model.QsQuestionnaireRelease;
import com.jianxun.gaudi.qs.model.QsQuestionnaireSetting;
import com.jianxun.gaudi.qs.vo.QsQuestionnaireSettingVO;
import org.springframework.stereotype.Repository;

/**
 * QsQuestionnaireSettingDAO继承基类
 */
@Repository
public interface QsQuestionnaireSettingDAO extends MyBatisBaseDao<QsQuestionnaireSetting, Integer, QsAnswerExample> {
    Long qsQuestionnaireSetting(Integer orgId);
    QsQuestionnaireSettingVO  selectByPrimary(Integer orgId);
}
