package com.jianxun.gaudi.sys.service;

import com.jianxun.gaudi.cp.vo.OrgsVO;

import java.util.List;

public interface SysAuthService {

    /**
     * 根据token获得某人是否有投诉表扬回复权限
     * @param token
     * @return
     */
    boolean getUserIsHaveTsbyReplyByToken(String token);

    /**
     * 根据token获得项目数据
     * @param token
     * @return
     */
    List<OrgsVO> getOrgsByToken(String token);
}
