package com.jianxun.gaudi.web.security;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.lang3.StringUtils;
import org.springframework.web.multipart.MultipartFile;
import org.springframework.web.multipart.MultipartHttpServletRequest;
import org.springframework.web.servlet.handler.HandlerInterceptorAdapter;

import com.alibaba.fastjson.JSONObject;
import com.jianxun.gaudi.common.ResponseResult;
import com.jianxun.gaudi.common.ResponseResultUtil;
import com.jianxun.gaudi.common.ResultConstants;
import com.jianxun.gaudi.common.enums.ExceptionMsg;
import com.jianxun.gaudi.common.exception.MyException;
import com.jianxun.gaudi.utils.JwtUtil;

public class JwtInterceptor extends HandlerInterceptorAdapter{
//	@Resource
//	private RedisDubboConsumerService redisService;

	@Override
	public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) throws Exception {
		String authHeader = request.getHeader("token");// 取得token

//		if (authHeader == null) {
//			throw new MyException(ExceptionMsg.TOEKN_INVALID.getCode(),ExceptionMsg.TOEKN_INVALID.getMsg());
//		}
//		if (StringUtils.isEmpty(authHeader)) return false;
		
//		String userId = JwtUtil.checkToken(authHeader);
//
//		if (!StringUtils.isBlank(userId)) {// 验证是否合法
////			Object redisToken = redisService.hgetKey(RedisKeyPrefix.TOKEN_CACHE.getKey() + ":" + userId, "token");
//
////			if(redisToken != null && !redisToken.toString().equals(authHeader)) {
////				throw new MyException(ExceptionMsg.TOKEN_EXPIRED.getCode(),ExceptionMsg.TOKEN_EXPIRED.getMsg());
////			}
//		} else {
//			ResponseResult<Object> rt = ResponseResultUtil.createErrorResult(ResultConstants.RESULTCODE_ILLEGAL, "非法请求");
//			outputJson(response, JSONObject.toJSONString(rt));
//			return false;
//		}
		return true;
	}

	protected void outputJson(HttpServletResponse response, String json) {
		response.setContentType("application/json;charset=utf-8");
		PrintWriter out;
		try {
			out = response.getWriter();
			out.print(json);
			out.flush();
			out.close();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
}
