package com.jianxun.gaudi.common.consts;

public interface SystemConsts {
	public class RedisExpireTime{
		public final static int TOKEN_EXPIRE_TIME = 86400; //24 hour 2018.10.10
		public final static int REFRESH_TOKEN_EXPIRE_TIME = 604800; //7 days 2018.10.10
	}
	
	public final static String KEY_OF_ASSIGN_NUMBER = "NumberAssign";
	
	// 测试环境
//	public final static String LOGIN_API_URL = "http://114.67.22.96:9089/user/getUserBytoken";
//	public final static String PAIXIU_API_URL = "http://114.67.22.96:9089";//派修接口
//	public final static String STOCK_H5_URL = "http://119.23.39.237:9088";//库房H5前端
	
	//正式环境
//	public final static String LOGIN_API_URL = "http://npxwx.pai-xiu.com//user/getUserBytoken";
//	public final static String PAIXIU_API_URL = "http://npxwx.pai-xiu.com/";//派修接口
//	public final static String STOCK_H5_URL = "http://114.67.22.90:9088";//库房H5前端
	
	public class AssignNumberType {
		public static final String USER			= "user_id";
		public static final String ORDER		= "order_id";
		public static final String TICKET		= "ticket_id";
		public static final String CYCLE		= "cycle_id";
		public static final String WAREHOUSE	= "warehouse_id";
	}
}
