package com.jianxun.gaudi.utils;

import net.sf.jxls.transformer.XLSTransformer;
import org.apache.poi.ss.usermodel.Workbook;

import javax.servlet.http.HttpServletResponse;
import java.io.*;
import java.net.URLEncoder;
import java.nio.file.Files;
import java.util.Map;

public class ExcelUtil {

    public static void exportExcel(String path, Map map,String uploadPath) throws IOException {
        InputStream is=null;
        FileOutputStream os=null;
        try {
             is =new FileInputStream(new File(path));
            // 实例化 XLSTransformer 对象
            XLSTransformer xlsTransformer = new XLSTransformer();
            // 获取 Workbook ，传入 模板 和 数据
            Workbook workbook =  xlsTransformer.transformXLS(is,map);
            // 输出
            os = new FileOutputStream(uploadPath);
            workbook.write(os);
            // 关闭和刷新管道，不然可能会出现表格数据不齐，打不开之类的问题
            is.close();
            os.close();
        }catch (Exception e){
            e.printStackTrace();
        }

    }
}
