package com.jianxun.gaudi.dubbo.cp;

import com.alibaba.dubbo.config.annotation.Service;
import com.github.pagehelper.PageInfo;
import com.jianxun.gaudi.common.vo.StatisticParam;
import com.jianxun.gaudi.common.vo.StatisticVo;
import com.jianxun.gaudi.cp.dubbo.DubboCpCommentService;
import com.jianxun.gaudi.cp.model.CpComment;
import com.jianxun.gaudi.cp.service.CpCommentService;
import com.jianxun.gaudi.cp.vo.CpCommentAppVO;
import com.jianxun.gaudi.cp.vo.CpCommentFromVO;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

@Service(version = "1.0.0",retries=-1,timeout=10000)
public class DubboCpCommentServiceImpl implements DubboCpCommentService {

    @Autowired
    CpCommentService sv;

    @Override
    public void createCpComment(String token, CpComment cpComment) {
        sv.createCpComment(token, cpComment);
    }

    @Override
    public PageInfo<CpComment> getCpComment(String token, CpCommentFromVO cpCommentFromVO) {
        return sv.getCpComment(token, cpCommentFromVO);
    }

    @Override
    public PageInfo<CpCommentAppVO> getCpCommentApp(String token, CpCommentFromVO cpCommentFromVO) {
        return sv.getCpCommentApp(token, cpCommentFromVO);
    }

    @Override
    public CpComment getCpCommentDetailApp(String token, CpCommentFromVO cpCommentFromVO) {
        return sv.getCpCommentDetailApp(token, cpCommentFromVO);
    }

    @Override
    public PageInfo<CpComment> getCpCommentWX(String token, CpCommentFromVO cpCommentFromVO) {
        return sv.getCpCommentWX(token, cpCommentFromVO);
    }

    @Override
    public Integer getCommentAmount(String token) {
        return sv.getCommentAmount(token);
    }

    @Override
    public List<StatisticVo> getStatisticalData(StatisticParam param) {
        return sv.getStatisticalData(param);
    }
}
