package com.jianxun.gaudi.dubbo.sys;

import com.alibaba.dubbo.config.annotation.Service;
import com.jianxun.gaudi.cp.vo.OrgsVO;
import com.jianxun.gaudi.sys.dubbo.DubboSysAuthService;
import com.jianxun.gaudi.sys.service.SysAuthService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

@Service(version = "1.0.0",retries=-1,timeout=10000)
public class DubboSysAuthServiceImpl implements DubboSysAuthService {

    @Autowired
    SysAuthService sv;

    @Override
    public List<OrgsVO> getOrgsByToken(String token) {
        return sv.getOrgsByToken(token);
    }

    @Override
    public boolean getUserIsHaveTsbyReplyByToken(String token) {
        return sv.getUserIsHaveTsbyReplyByToken(token);
    }
}
