package com.jianxun.gaudi.qs.dao;

import com.jianxun.gaudi.common.base.MyBatisBaseDao;
import com.jianxun.gaudi.common.vo.StatisticParam;
import com.jianxun.gaudi.common.vo.StatisticSumVo;
import com.jianxun.gaudi.common.vo.StatisticVo;
import com.jianxun.gaudi.qs.model.QsAnswer;
import com.jianxun.gaudi.qs.model.QsAnswerExample;
import com.jianxun.gaudi.qs.model.QsQuestionnaireRelease;
import com.jianxun.gaudi.qs.param.QuestionnaireInquiryParam;
import com.jianxun.gaudi.qs.vo.QsQuestionnaireVO;
import com.jianxun.gaudi.qs.vo.QuestionnaireDetailsVO;
import com.jianxun.gaudi.qs.vo.QuestionnaireReminderVO;
import org.springframework.stereotype.Repository;
import org.apache.ibatis.annotations.Param;
import java.util.List;

/**
 * QsQuestionnaireReleaseDAO继承基类
 */
@Repository
public interface QsQuestionnaireReleaseDAO extends MyBatisBaseDao<QsQuestionnaireRelease, Integer, QsAnswerExample> {
    List<QsQuestionnaireVO> getQuestionnaireInformation(QuestionnaireInquiryParam param);

    List<QsQuestionnaireRelease>questionnaireScreening(@Param("userId") Integer userId, @Param("orgId") Integer orgId);
    List<QuestionnaireReminderVO>questionnaireCollection();

    QuestionnaireReminderVO questionnaireId(@Param("activity")String activity,@Param("user")String user);

    List<StatisticSumVo> getStatisticalSumData();

    List<StatisticVo> getStatisticalData(StatisticParam param);
}
