package com.jianxun.gaudi.qs.dao;

import com.jianxun.gaudi.common.base.MyBatisBaseDao;
import com.jianxun.gaudi.qs.model.QsAnswerExample;
import com.jianxun.gaudi.qs.model.QsQuestionnaireSubgroup;
import com.jianxun.gaudi.qs.model.QsQuestionnaireUrge;
import com.jianxun.gaudi.qs.vo.QsQuestionnaireUrgeVO;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * QsQuestionnaireUrgeDTO继承基类
 */
@Repository
public interface QsQuestionnaireUrgeDAO extends MyBatisBaseDao<QsQuestionnaireUrge, Integer, QsAnswerExample> {
    int insertSelective(List<QsQuestionnaireUrge> list);
    List<QsQuestionnaireUrgeVO>selectByExamplek(String questionnaireId);
}
