
package com.jianxun.gaudi.qs.dao;

import com.jianxun.gaudi.common.base.MyBatisBaseDao;
import com.jianxun.gaudi.qs.model.QsAnswerExample;
import com.jianxun.gaudi.qs.model.QsQuestionnaireUrge;
import com.jianxun.gaudi.qs.model.QsQuestionnaireUser;
import com.jianxun.gaudi.qs.param.QuestionnaireProgressParam;
import com.jianxun.gaudi.qs.vo.DeptGroupTypeVO;
import com.jianxun.gaudi.qs.vo.DeptUserVO;
import com.jianxun.gaudi.qs.vo.QsQuestionnaireUserVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface QsQuestionnaireUserDAO extends MyBatisBaseDao<QsQuestionnaireUser, Integer, QsAnswerExample> {
   int insertSelective(List<DeptUserVO> list);

   List<QsQuestionnaireUserVO>selectByPrimaryKeye(Integer id);


   List<QsQuestionnaireUserVO> questionnaireProgress(QuestionnaireProgressParam param);

   List<QsQuestionnaireUserVO> questionnaireScreening(@Param("questionnaireId") String questionnaireId,@Param("orgId") Integer orgId);

   List<QsQuestionnaireUserVO>getUser(String sourceId);
   int updateSelective(@Param("userId")String userId,@Param("id")String id);

}