package com.jianxun.gaudi.sys.model;

import java.util.ArrayList;
import java.util.List;

public class SysNumberAssignExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    private Integer limit;

    private Long offset;

    public SysNumberAssignExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    public void setLimit(Integer limit) {
        this.limit = limit;
    }

    public Integer getLimit() {
        return limit;
    }

    public void setOffset(Long offset) {
        this.offset = offset;
    }

    public Long getOffset() {
        return offset;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andTypeIsNull() {
            addCriterion("`type` is null");
            return (Criteria) this;
        }

        public Criteria andTypeIsNotNull() {
            addCriterion("`type` is not null");
            return (Criteria) this;
        }

        public Criteria andTypeEqualTo(String value) {
            addCriterion("`type` =", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotEqualTo(String value) {
            addCriterion("`type` <>", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeGreaterThan(String value) {
            addCriterion("`type` >", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeGreaterThanOrEqualTo(String value) {
            addCriterion("`type` >=", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeLessThan(String value) {
            addCriterion("`type` <", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeLessThanOrEqualTo(String value) {
            addCriterion("`type` <=", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeLike(String value) {
            addCriterion("`type` like", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotLike(String value) {
            addCriterion("`type` not like", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeIn(List<String> values) {
            addCriterion("`type` in", values, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotIn(List<String> values) {
            addCriterion("`type` not in", values, "type");
            return (Criteria) this;
        }

        public Criteria andTypeBetween(String value1, String value2) {
            addCriterion("`type` between", value1, value2, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotBetween(String value1, String value2) {
            addCriterion("`type` not between", value1, value2, "type");
            return (Criteria) this;
        }

        public Criteria andPreFixIsNull() {
            addCriterion("pre_fix is null");
            return (Criteria) this;
        }

        public Criteria andPreFixIsNotNull() {
            addCriterion("pre_fix is not null");
            return (Criteria) this;
        }

        public Criteria andPreFixEqualTo(String value) {
            addCriterion("pre_fix =", value, "preFix");
            return (Criteria) this;
        }

        public Criteria andPreFixNotEqualTo(String value) {
            addCriterion("pre_fix <>", value, "preFix");
            return (Criteria) this;
        }

        public Criteria andPreFixGreaterThan(String value) {
            addCriterion("pre_fix >", value, "preFix");
            return (Criteria) this;
        }

        public Criteria andPreFixGreaterThanOrEqualTo(String value) {
            addCriterion("pre_fix >=", value, "preFix");
            return (Criteria) this;
        }

        public Criteria andPreFixLessThan(String value) {
            addCriterion("pre_fix <", value, "preFix");
            return (Criteria) this;
        }

        public Criteria andPreFixLessThanOrEqualTo(String value) {
            addCriterion("pre_fix <=", value, "preFix");
            return (Criteria) this;
        }

        public Criteria andPreFixLike(String value) {
            addCriterion("pre_fix like", value, "preFix");
            return (Criteria) this;
        }

        public Criteria andPreFixNotLike(String value) {
            addCriterion("pre_fix not like", value, "preFix");
            return (Criteria) this;
        }

        public Criteria andPreFixIn(List<String> values) {
            addCriterion("pre_fix in", values, "preFix");
            return (Criteria) this;
        }

        public Criteria andPreFixNotIn(List<String> values) {
            addCriterion("pre_fix not in", values, "preFix");
            return (Criteria) this;
        }

        public Criteria andPreFixBetween(String value1, String value2) {
            addCriterion("pre_fix between", value1, value2, "preFix");
            return (Criteria) this;
        }

        public Criteria andPreFixNotBetween(String value1, String value2) {
            addCriterion("pre_fix not between", value1, value2, "preFix");
            return (Criteria) this;
        }

        public Criteria andLengthIsNull() {
            addCriterion("`length` is null");
            return (Criteria) this;
        }

        public Criteria andLengthIsNotNull() {
            addCriterion("`length` is not null");
            return (Criteria) this;
        }

        public Criteria andLengthEqualTo(Byte value) {
            addCriterion("`length` =", value, "length");
            return (Criteria) this;
        }

        public Criteria andLengthNotEqualTo(Byte value) {
            addCriterion("`length` <>", value, "length");
            return (Criteria) this;
        }

        public Criteria andLengthGreaterThan(Byte value) {
            addCriterion("`length` >", value, "length");
            return (Criteria) this;
        }

        public Criteria andLengthGreaterThanOrEqualTo(Byte value) {
            addCriterion("`length` >=", value, "length");
            return (Criteria) this;
        }

        public Criteria andLengthLessThan(Byte value) {
            addCriterion("`length` <", value, "length");
            return (Criteria) this;
        }

        public Criteria andLengthLessThanOrEqualTo(Byte value) {
            addCriterion("`length` <=", value, "length");
            return (Criteria) this;
        }

        public Criteria andLengthIn(List<Byte> values) {
            addCriterion("`length` in", values, "length");
            return (Criteria) this;
        }

        public Criteria andLengthNotIn(List<Byte> values) {
            addCriterion("`length` not in", values, "length");
            return (Criteria) this;
        }

        public Criteria andLengthBetween(Byte value1, Byte value2) {
            addCriterion("`length` between", value1, value2, "length");
            return (Criteria) this;
        }

        public Criteria andLengthNotBetween(Byte value1, Byte value2) {
            addCriterion("`length` not between", value1, value2, "length");
            return (Criteria) this;
        }

        public Criteria andWithDateIsNull() {
            addCriterion("with_date is null");
            return (Criteria) this;
        }

        public Criteria andWithDateIsNotNull() {
            addCriterion("with_date is not null");
            return (Criteria) this;
        }

        public Criteria andWithDateEqualTo(String value) {
            addCriterion("with_date =", value, "withDate");
            return (Criteria) this;
        }

        public Criteria andWithDateNotEqualTo(String value) {
            addCriterion("with_date <>", value, "withDate");
            return (Criteria) this;
        }

        public Criteria andWithDateGreaterThan(String value) {
            addCriterion("with_date >", value, "withDate");
            return (Criteria) this;
        }

        public Criteria andWithDateGreaterThanOrEqualTo(String value) {
            addCriterion("with_date >=", value, "withDate");
            return (Criteria) this;
        }

        public Criteria andWithDateLessThan(String value) {
            addCriterion("with_date <", value, "withDate");
            return (Criteria) this;
        }

        public Criteria andWithDateLessThanOrEqualTo(String value) {
            addCriterion("with_date <=", value, "withDate");
            return (Criteria) this;
        }

        public Criteria andWithDateLike(String value) {
            addCriterion("with_date like", value, "withDate");
            return (Criteria) this;
        }

        public Criteria andWithDateNotLike(String value) {
            addCriterion("with_date not like", value, "withDate");
            return (Criteria) this;
        }

        public Criteria andWithDateIn(List<String> values) {
            addCriterion("with_date in", values, "withDate");
            return (Criteria) this;
        }

        public Criteria andWithDateNotIn(List<String> values) {
            addCriterion("with_date not in", values, "withDate");
            return (Criteria) this;
        }

        public Criteria andWithDateBetween(String value1, String value2) {
            addCriterion("with_date between", value1, value2, "withDate");
            return (Criteria) this;
        }

        public Criteria andWithDateNotBetween(String value1, String value2) {
            addCriterion("with_date not between", value1, value2, "withDate");
            return (Criteria) this;
        }

        public Criteria andQuerySqlIsNull() {
            addCriterion("query_sql is null");
            return (Criteria) this;
        }

        public Criteria andQuerySqlIsNotNull() {
            addCriterion("query_sql is not null");
            return (Criteria) this;
        }

        public Criteria andQuerySqlEqualTo(String value) {
            addCriterion("query_sql =", value, "querySql");
            return (Criteria) this;
        }

        public Criteria andQuerySqlNotEqualTo(String value) {
            addCriterion("query_sql <>", value, "querySql");
            return (Criteria) this;
        }

        public Criteria andQuerySqlGreaterThan(String value) {
            addCriterion("query_sql >", value, "querySql");
            return (Criteria) this;
        }

        public Criteria andQuerySqlGreaterThanOrEqualTo(String value) {
            addCriterion("query_sql >=", value, "querySql");
            return (Criteria) this;
        }

        public Criteria andQuerySqlLessThan(String value) {
            addCriterion("query_sql <", value, "querySql");
            return (Criteria) this;
        }

        public Criteria andQuerySqlLessThanOrEqualTo(String value) {
            addCriterion("query_sql <=", value, "querySql");
            return (Criteria) this;
        }

        public Criteria andQuerySqlLike(String value) {
            addCriterion("query_sql like", value, "querySql");
            return (Criteria) this;
        }

        public Criteria andQuerySqlNotLike(String value) {
            addCriterion("query_sql not like", value, "querySql");
            return (Criteria) this;
        }

        public Criteria andQuerySqlIn(List<String> values) {
            addCriterion("query_sql in", values, "querySql");
            return (Criteria) this;
        }

        public Criteria andQuerySqlNotIn(List<String> values) {
            addCriterion("query_sql not in", values, "querySql");
            return (Criteria) this;
        }

        public Criteria andQuerySqlBetween(String value1, String value2) {
            addCriterion("query_sql between", value1, value2, "querySql");
            return (Criteria) this;
        }

        public Criteria andQuerySqlNotBetween(String value1, String value2) {
            addCriterion("query_sql not between", value1, value2, "querySql");
            return (Criteria) this;
        }
    }

    /**
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}