package com.jianxun.gaudi.dubbo.consumer.cp;

import com.alibaba.dubbo.config.annotation.Reference;
import com.jianxun.gaudi.cp.dubbo.DubboCpReplyService;
import com.jianxun.gaudi.cp.model.CpReply;
import org.springframework.stereotype.Component;


@Component
public class CpReplyDubboConsumerService {

    @Reference(version = "1.0.0",timeout=10000,retries=-1,interfaceClass = DubboCpReplyService.class)
    DubboCpReplyService cpReplyService;

    public void createCpReply(String token, CpReply cpReply) {
        cpReplyService.createCpReply(token, cpReply);
    }
}
