package com.jianxun.gaudi.dubbo.consumer.sys;

import com.alibaba.dubbo.config.annotation.Reference;
import com.jianxun.gaudi.cp.vo.OrgsVO;
import com.jianxun.gaudi.sys.dubbo.DubboSysAuthService;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class SysAuthDubboConsumerService {

    @Reference(version = "1.0.0",timeout=10000,retries=-1,interfaceClass = DubboSysAuthService.class)
    DubboSysAuthService sysAuthService;

    public List<OrgsVO> getOrgsByToken(String token) {
        return sysAuthService.getOrgsByToken(token);
    }

    public boolean getUserIsHaveTsbyReplyByToken(String token) {
        return sysAuthService.getUserIsHaveTsbyReplyByToken(token);
    }

}
