package com.jianxun.gaudi.dubbo.consumer.sys;

import org.springframework.stereotype.Component;

import com.alibaba.dubbo.config.annotation.Reference;
import com.jianxun.gaudi.common.exception.MyException;
import com.jianxun.gaudi.sys.dubbo.DubboSysUserService;
import com.jianxun.gaudi.sys.model.SysUser;
import com.jianxun.gaudi.sys.vo.SysUserVO;

@Component
public class SysUserDubboConsumerService {
	
//	private static Logger log = LoggerFactory.getLogger(SysUserDubboConsumerService.class);
	
	@Reference(version = "1.0.0",timeout=10000,retries=-1,interfaceClass = DubboSysUserService.class)
    DubboSysUserService sysUserService;

    public SysUser getUserById(String userId) {
    	return sysUserService.getUserById(userId);
    }
    
    public SysUserVO login(String account,String password) throws MyException{
    	return sysUserService.login(account, password);
    }
}
